Index: c/src/ada-tests/mptests/mp01/mp01.adb
===================================================================
--- c/src/ada-tests/mptests/mp01/mp01.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp01/mp01.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -10,5 +10,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -21,4 +21,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -29,5 +30,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -41,5 +42,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp01/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp01/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp01/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,6 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.CLOCK;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +31,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +36,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       C      : CHARACTER;
@@ -62,10 +63,10 @@
       TIME := ( 1988, 12, 31, 9, 0, 0, 0 );
 
-      RTEMS.CLOCK_SET( TIME, STATUS );
+      RTEMS.CLOCK.SET( TIME, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "CLOCK_SET" );
 
       TEXT_IO.PUT_LINE( "Creating task 1 (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( 1 ), 
          1, 
@@ -80,5 +81,5 @@
       TEXT_IO.PUT_LINE( "Creating task 2 (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( 2 ), 
          1, 
@@ -93,5 +94,5 @@
       TEXT_IO.PUT_LINE( "Creating task 3 (Local)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( 3 ), 
          1, 
@@ -104,5 +105,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF TA3" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -112,5 +113,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF TA1" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 2 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -120,5 +121,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF TA2" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 3 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -128,10 +129,9 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF TA3" );
 
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK
@@ -139,5 +139,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       TIME   : RTEMS.TIME_OF_DAY;
@@ -146,8 +146,8 @@
    begin
 
-      RTEMS.TASK_IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
+      RTEMS.TASKS.IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
    
-      RTEMS.CLOCK_GET( RTEMS.CLOCK_GET_TOD, TIME'ADDRESS, STATUS );
+      RTEMS.CLOCK.GET( RTEMS.CLOCK.GET_TOD, TIME'ADDRESS, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "CLOCK_GET" );
 
@@ -160,5 +160,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.TASK_WAKE_AFTER( 
+      RTEMS.TASKS.WAKE_AFTER( 
          TEST_SUPPORT.TASK_NUMBER( TID ) * 5 * 
            TEST_SUPPORT.TICKS_PER_SECOND, 
@@ -167,5 +167,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
           
-      RTEMS.CLOCK_GET( RTEMS.CLOCK_GET_TOD, TIME'ADDRESS, STATUS );
+      RTEMS.CLOCK.GET( RTEMS.CLOCK.GET_TOD, TIME'ADDRESS, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "CLOCK_GET" );
 
@@ -187,5 +187,5 @@
          TEXT_IO.PUT_LINE( " - deleting self" );
 
-         RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+         RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
@@ -206,5 +206,5 @@
          TEST_SUPPORT.PUT_NAME( MPTEST.TASK_NAME( 2 ), TRUE );
          
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( 2 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -218,5 +218,5 @@
          TEST_SUPPORT.PUT_NAME( MPTEST.TASK_NAME( 2 ), TRUE );
 
-         RTEMS.TASK_DELETE( TID, STATUS );
+         RTEMS.TASKS.DELETE( TID, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF TA2" );
 
Index: c/src/ada-tests/mptests/mp01/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp01/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp01/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -42,5 +43,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -55,5 +56,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp01/node1/mp01_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp01/node1/mp01_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp01/node1/mp01_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp01/node2/mp01_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp01/node2/mp01_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp01/node2/mp01_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp02/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp02/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp02/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,5 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +30,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +35,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -53,5 +53,5 @@
       TEXT_IO.PUT_LINE( "Creating test task (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ),
          1, 
@@ -64,5 +64,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -72,10 +72,9 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START" );
 
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK
@@ -83,5 +82,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       TID         : RTEMS.ID;
@@ -93,5 +92,5 @@
    begin
 
-      RTEMS.TASK_IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
+      RTEMS.TASKS.IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
    
@@ -106,5 +105,5 @@
       loop
 
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -122,5 +121,5 @@
 
       TEXT_IO.PUT_LINE( "Getting TID of remote task (1 node)" );
-      RTEMS.TASK_IDENT( 
+      RTEMS.TASKS.IDENT( 
          MPTEST.TASK_NAME( REMOTE_NODE ),
          REMOTE_NODE,
@@ -135,5 +134,5 @@
       end if;
 
-      RTEMS.TASK_DELETE( REMOTE_TID, STATUS );
+      RTEMS.TASKS.DELETE( REMOTE_TID, STATUS );
       TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
          STATUS,
@@ -145,5 +144,5 @@
       );
           
-      RTEMS.TASK_START( REMOTE_TID, MPTEST.TEST_TASK'ACCESS, 0, STATUS );
+      RTEMS.TASKS.START( REMOTE_TID, MPTEST.TEST_TASK'ACCESS, 0, STATUS );
       TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
          STATUS,
@@ -155,5 +154,5 @@
       );
           
-      RTEMS.TASK_RESTART( REMOTE_TID, 0, STATUS );
+      RTEMS.TASKS.RESTART( REMOTE_TID, 0, STATUS );
       TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
          STATUS,
@@ -171,5 +170,5 @@
       UNSIGNED32_IO.PUT( RTEMS.GET_NODE( TID ), WIDTH=>1 );
       TEXT_IO.NEW_LINE;
-      RTEMS.TASK_SET_NOTE( 
+      RTEMS.TASKS.SET_NOTE( 
          REMOTE_TID, 
          RTEMS.GET_NODE( TID ),
@@ -180,5 +179,5 @@
 
       TEXT_IO.PUT_LINE( "Getting a notepad of the remote task" );
-      RTEMS.TASK_GET_NOTE( 
+      RTEMS.TASKS.GET_NOTE( 
          REMOTE_TID, 
          RTEMS.GET_NODE( TID ),
@@ -201,5 +200,5 @@
       end if;
 
-      RTEMS.TASK_DELETE( REMOTE_TID, STATUS );
+      RTEMS.TASKS.DELETE( REMOTE_TID, STATUS );
       TEXT_IO.PUT_LINE( "*** END OF TEST 2 ***" );
 
Index: c/src/ada-tests/mptests/mp02/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp02/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp02/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -42,5 +43,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -55,5 +56,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp02/node1/mp02_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp02/node1/mp02_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp02/node1/mp02_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp02/node2/mp02_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp02/node2/mp02_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp02/node2/mp02_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp03/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp03/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp03/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -7,5 +7,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -19,4 +19,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.EVENT;
+with RTEMS.TASKS;
+with RTEMS.TIMER;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -25,5 +28,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -31,5 +33,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -48,5 +50,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          1, 
@@ -60,5 +62,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -70,5 +72,5 @@
       MPTEST.TIMER_NAME( 1 ) := RTEMS.BUILD_NAME(  'T', 'M', '1', ' ' );
 
-      RTEMS.TIMER_CREATE( 
+      RTEMS.TIMER.CREATE( 
          MPTEST.TIMER_NAME( 1 ), 
          MPTEST.TIMER_ID( 1 ),
@@ -78,10 +80,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  DELAYED_SEND_EVENT
@@ -95,10 +96,9 @@
    begin
 
-      RTEMS.EVENT_SEND( MPTEST.TASK_ID( 1 ), RTEMS.EVENT_16, STATUS );
+      RTEMS.EVENT.SEND( MPTEST.TASK_ID( 1 ), RTEMS.EVENT_16, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "EVENT_SEND" );
 
    end DELAYED_SEND_EVENT;
 
---PAGE
 --
 --  TEST_TASK
@@ -106,5 +106,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       TID         : RTEMS.ID;
@@ -112,5 +112,5 @@
    begin
 
-      RTEMS.TASK_IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
+      RTEMS.TASKS.IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
    
@@ -127,5 +127,5 @@
       loop
 
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( MPTEST.REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -138,5 +138,5 @@
       end loop;
 
-      RTEMS.TIMER_FIRE_AFTER( 
+      RTEMS.TIMER.FIRE_AFTER( 
          MPTEST.TIMER_ID( 1 ), 
          10 * TEST_SUPPORT.TICKS_PER_SECOND, 
@@ -149,5 +149,5 @@
       MPTEST.TEST_TASK_SUPPORT( 1 );
 
-      RTEMS.TIMER_FIRE_AFTER( 
+      RTEMS.TIMER.FIRE_AFTER( 
          MPTEST.TIMER_ID( 1 ), 
          11 * TEST_SUPPORT.TICKS_PER_SECOND, 
@@ -160,5 +160,5 @@
       if TEST_SUPPORT.NODE = 2 then
          
-         RTEMS.TASK_WAKE_AFTER( 
+         RTEMS.TASKS.WAKE_AFTER( 
             2 * TEST_SUPPORT.TICKS_PER_SECOND,
             STATUS
@@ -176,5 +176,4 @@
    end TEST_TASK;
 
---PAGE
 -- 
 --  TEST_TASK_SUPPORT
@@ -193,5 +192,5 @@
          loop
 
-            RTEMS.EVENT_RECEIVE( 
+            RTEMS.EVENT.RECEIVE( 
                RTEMS.EVENT_16,
                RTEMS.NO_WAIT,
@@ -209,5 +208,5 @@
             );
 
-            RTEMS.TASK_WAKE_AFTER( 
+            RTEMS.TASKS.WAKE_AFTER( 
                2 * TEST_SUPPORT.TICKS_PER_SECOND, 
                STATUS
@@ -217,8 +216,8 @@
             TEST_SUPPORT.PUT_NAME( MPTEST.TASK_NAME( NODE ), FALSE );
             TEXT_IO.PUT_LINE( " - Suspending remote task" );
-            RTEMS.TASK_SUSPEND( MPTEST.REMOTE_TID, STATUS );
+            RTEMS.TASKS.SUSPEND( MPTEST.REMOTE_TID, STATUS );
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_SUSPEND" );
 
-            RTEMS.TASK_WAKE_AFTER( 
+            RTEMS.TASKS.WAKE_AFTER( 
                2 * TEST_SUPPORT.TICKS_PER_SECOND, 
                STATUS
@@ -229,5 +228,5 @@
             TEXT_IO.PUT_LINE( " - Resuming remote task" );
 
-            RTEMS.TASK_RESUME( MPTEST.REMOTE_TID, STATUS );
+            RTEMS.TASKS.RESUME( MPTEST.REMOTE_TID, STATUS );
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_RESUME" );
 
@@ -238,5 +237,5 @@
          loop
 
-            RTEMS.EVENT_RECEIVE( 
+            RTEMS.EVENT.RECEIVE( 
                RTEMS.EVENT_16,
                RTEMS.NO_WAIT,
@@ -256,5 +255,5 @@
             TEST_SUPPORT.PUT_NAME( MPTEST.TASK_NAME( REMOTE_NODE ), FALSE );
             TEXT_IO.PUT_LINE( " - have I been suspended???" ); 
-            RTEMS.TASK_WAKE_AFTER( 
+            RTEMS.TASKS.WAKE_AFTER( 
                TEST_SUPPORT.TICKS_PER_SECOND / 2,
                STATUS
Index: c/src/ada-tests/mptests/mp03/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp03/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp03/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -64,5 +65,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -92,5 +93,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp03/node1/mp03_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp03/node1/mp03_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp03/node1/mp03_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp03/node2/mp03_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp03/node2/mp03_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp03/node2/mp03_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp04/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp04/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp04/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,5 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +30,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +35,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -53,5 +53,5 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          TEST_SUPPORT.NODE, 
@@ -66,5 +66,5 @@
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -76,10 +76,9 @@
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
 
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK
@@ -87,13 +86,13 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       TID                 : RTEMS.ID;
-      PREVIOUS_PRIORITY   : RTEMS.TASK_PRIORITY;
-      PREVIOUS_PRIORITY_1 : RTEMS.TASK_PRIORITY;
+      PREVIOUS_PRIORITY   : RTEMS.TASKS.PRIORITY;
+      PREVIOUS_PRIORITY_1 : RTEMS.TASKS.PRIORITY;
       STATUS              : RTEMS.STATUS_CODES;
    begin
 
-      RTEMS.TASK_IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
+      RTEMS.TASKS.IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
    
@@ -110,5 +109,5 @@
       loop
 
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( MPTEST.REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -121,5 +120,5 @@
       end loop;
 
-      RTEMS.TASK_SET_PRIORITY(
+      RTEMS.TASKS.SET_PRIORITY(
          MPTEST.REMOTE_TID,
          TEST_SUPPORT.NODE,
@@ -143,7 +142,7 @@
       loop
 
-         RTEMS.TASK_SET_PRIORITY(
+         RTEMS.TASKS.SET_PRIORITY(
             RTEMS.SELF,
-            RTEMS.CURRENT_PRIORITY,
+            RTEMS.TASKS.CURRENT_PRIORITY,
             PREVIOUS_PRIORITY_1,
             STATUS
Index: c/src/ada-tests/mptests/mp04/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp04/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp04/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -56,5 +57,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -69,5 +70,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp04/node1/mp04_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp04/node1/mp04_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp04/node1/mp04_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp04/node2/mp04_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp04/node2/mp04_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp04/node2/mp04_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp05/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp05/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp05/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,8 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.FATAL;
+with RTEMS.SIGNAL;
+with RTEMS.TASKS;
+with RTEMS.TIMER;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +33,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +38,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -53,5 +56,5 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          1,
@@ -66,5 +69,5 @@
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -77,5 +80,5 @@
       MPTEST.TIMER_NAME( 2 ) := RTEMS.BUILD_NAME(  'T', 'M', '2', ' ' );
 
-      RTEMS.TIMER_CREATE(
+      RTEMS.TIMER.CREATE(
          MPTEST.TIMER_NAME( TEST_SUPPORT.NODE ),
          MPTEST.TIMER_ID( 1 ),
@@ -86,10 +89,9 @@
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
 
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  PROCESS_ASR
@@ -110,5 +112,5 @@
          TEXT_IO.NEW_LINE;
 
-         RTEMS.FATAL_ERROR_OCCURRED( 16#000F_0000# );
+         RTEMS.FATAL.ERROR_OCCURRED( 16#000F_0000# );
 
       end if;
@@ -118,5 +120,4 @@
    end PROCESS_ASR;
 
---PAGE
 --
 --  STOP_TEST_TSR
@@ -133,5 +134,4 @@
    end STOP_TEST_TSR;
 
---PAGE
 --
 --  TEST_TASK
@@ -139,5 +139,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS  : RTEMS.STATUS_CODES;
@@ -150,5 +150,5 @@
 
       TEXT_IO.PUT_LINE( "signal_catch: initializing signal catcher" );
-      RTEMS.SIGNAL_CATCH( 
+      RTEMS.SIGNAL.CATCH( 
          MPTEST.PROCESS_ASR'ACCESS, 
          RTEMS.NO_ASR + RTEMS.NO_PREEMPT,
@@ -173,5 +173,5 @@
       loop
 
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( MPTEST.REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -184,5 +184,5 @@
       end loop;
 
-      RTEMS.TIMER_FIRE_AFTER(
+      RTEMS.TIMER.FIRE_AFTER(
          MPTEST.TIMER_ID( 1 ),
          3 * TEST_SUPPORT.TICKS_PER_SECOND,
@@ -197,5 +197,5 @@
          TEXT_IO.PUT_LINE( "Sending signal to remote task" );
          loop
-            RTEMS.SIGNAL_SEND(
+            RTEMS.SIGNAL.SEND(
                MPTEST.REMOTE_TID,
                MPTEST.REMOTE_SIGNAL,
@@ -229,5 +229,5 @@
             end if;
 
-            RTEMS.SIGNAL_SEND(
+            RTEMS.SIGNAL.SEND(
                MPTEST.REMOTE_TID,
                MPTEST.REMOTE_SIGNAL,
Index: c/src/ada-tests/mptests/mp05/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp05/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp05/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,6 @@
 
 with RTEMS;
+with RTEMS.SIGNAL;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -96,5 +98,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -136,5 +138,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp05/node1/mp05_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp05/node1/mp05_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp05/node1/mp05_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
